TechDraw RichTextAnnotation/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "==Примечания==")
(Updating to match new version of source page)
Line 4: Line 4:
|[[TechDraw_LeaderLine|LeaderLine]]
|[[TechDraw_LeaderLine|LeaderLine]]
|[[TechDraw_CosmeticVertex|CosmeticVertex]]
|[[TechDraw_CosmeticVertex|CosmeticVertex]]
|[[TechDraw_Module|TechDraw]]
|[[TechDraw_Workbench|TechDraw]]
|IconL=TechDraw_LeaderLine.svg
|IconL=TechDraw_LeaderLine.svg
|IconR=TechDraw_CosmeticVertex.svg
|IconR=TechDraw_CosmeticVertex.svg
Line 13: Line 13:
|Name=TechDraw RichTextAnnotation
|Name=TechDraw RichTextAnnotation
|MenuLocation=TechDraw → Annotations → Insert Rich Text Annotations
|MenuLocation=TechDraw → Annotations → Insert Rich Text Annotations
|Workbenches=[[TechDraw_Module|TechDraw]]
|Workbenches=[[TechDraw_Workbench|TechDraw]]
|Version=0.19
|Version=0.19
|SeeAlso=[[TechDraw_Templates|TechDraw Templates]], [[Draft_SVG|Draft SVG]], [[TechDraw_LeaderLine|TechDraw Leaderline]]
|SeeAlso=[[TechDraw_Templates|TechDraw Templates]], [[Draft_SVG|Draft SVG]], [[TechDraw_LeaderLine|TechDraw Leaderline]]
Line 63: Line 63:
|[[TechDraw_LeaderLine|LeaderLine]]
|[[TechDraw_LeaderLine|LeaderLine]]
|[[TechDraw_CosmeticVertex|CosmeticVertex]]
|[[TechDraw_CosmeticVertex|CosmeticVertex]]
|[[TechDraw_Module|TechDraw]]
|[[TechDraw_Workbench|TechDraw]]
|IconL=TechDraw_LeaderLine.svg
|IconL=TechDraw_LeaderLine.svg
|IconR=TechDraw_CosmeticVertex.svg
|IconR=TechDraw_CosmeticVertex.svg

Revision as of 16:24, 26 August 2021

Other languages:

TechDraw RichTextAnnotation

Menu location
TechDraw → Annotations → Insert Rich Text Annotations
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19
See also
TechDraw Templates, Draft SVG, TechDraw Leaderline

Описание

The RichTextBlock tool adds a formatted annotation block to a Leaderline or a View.

Stand alone RichTextBlock

Применение

  1. Press the Rich Text Annotation button
  2. A Task dialog will open. The dialog allows quick entry of text.
  3. The Start Rich Text Editor button will open a full featured editor. Press the Save icon to record your changes.
  4. After the block is created, it can be edited by double clicking the RichTextBlock in the Tree.
  5. To attach the block to a Leaderline, select the line before starting the RichTextBlock tool.

Свойства

  • ДанныеX,Y: The location of the block. Relative to the end of the line if attached to a Leaderline, otherwise this is the position on the page.
  • ДанныеShowFrame: Draws an outline around the block.
  • ДанныеMaxWidth: Limits the horizontal size of the block. A value of -1 is for unlimited width.
  • ДанныеAnnoText: The HTML text of the block.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The RichTextBlock tool can be used in macros and from the Python console.

myPage = FreeCAD.ActiveDocument().Page
myBase = FreeCAD.ActiveDocument().View
blockObj = FreeCAD.ActiveDocument.addObject('TechDraw::DrawRichAnno','DrawRichAnno')
FreeCAD.activeDocument().myPage.addView(blockObj)
blockObj.X = 5
blockObj.Y = 5
blockObj.AnnoText = myHTMLText

Примечания

  • You can edit your RichTextBlock by double clicking on it in the tree view. Double clicking in the graphics area is not yet supported.